.hero {
    margin-bottom: 48px;
}
@media screen and (max-width: 600px) {
    .hero {
        margin-bottom: 24px;
    }
    .glide .glide__bullets {
        display: none;
    }
}

.hero img, .hero video {
    width: 100%;
    aspect-ratio: 3 / 1;
    object-fit: cover;
}

@media (max-width: 799px) {
    .hero img, .hero video {
        aspect-ratio: 2 / 1;
    }
}

.primary-categories {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 16px;
    margin-left: 24px;
    margin-right: 24px;
}
.category {
    border-radius: 40px;
    overflow: hidden;
    position: relative;
}
.category-image {
    width: 100%;
    aspect-ratio: 5 / 4;
    background-size: cover;
    background-position: center;
    transition: transform 0.3s, filter 0.3s;
}
.category-title {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(calc(-50% + 18px), -50%);
    text-align: center;
    max-width: 80%;
    word-wrap: break-word;
    transition: transform 0.13s;
    text-transform: uppercase;
    font-size: 1.25rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.category-open-icon {
    opacity: 0;
    transition: opacity 0.13s;
}
.category-open-icon .material-symbols-outlined {
    font-size: 36px;
    vertical-align: middle;
}
.category-title h2 {
    margin: 0;
    width: min-content;
}
.category:hover .category-title {
    transform: translate(-45%, -50%);
}
.category:hover .category-open-icon {
    opacity: 1;
}
.category-title::after {
    position: absolute;
    left: calc(50% - 40px - 18px);
    bottom: -12px;
    content: "";
    display: block;
    width: 80px;
    height: 4px;
    border-radius: 1px;
    transition: all 0.13s;
}
.category:hover .category-title::after {
    width: 100px;
}
.category:hover .category-image {
    transform: scale(1.1);
    filter: blur(3px);
}


.hr-lines {
    position: relative;
    max-width: 90vw;
    margin: 16px auto;
    text-align: center;
    text-transform: uppercase;
}
.hr-lines:before, .hr-lines:after{
    content: " ";
    height: 2px;
    width: 100%;
    max-width: calc(45vw - 160px);
    background: #ffffff;
    display: block;
    position: absolute;
    top: 50%;
}
.hr-lines:before {
    left: 0;
}
.hr-lines:after {
    right: 0;
}
@media screen and (max-width: 600px) {
    .hr-lines:before, .hr-lines:after {
        display: none;
    }
}

.lower-banner {
    width: 100%;
    margin-bottom: 16px;
}

.lower-banner img {
    width: 100%;
    object-fit: cover;
    aspect-ratio: 3 / 1;

}
@media (max-width: 799px) {
    .lower-banner img {
        aspect-ratio: 2 / 1;
    }
}
@media screen and (max-width:560px) {
    .primary-categories {
        grid-template-columns: 1fr;
        margin: 0 36px;
    }
    .category {
        border-radius: 60px;
    }
    .category-image {
        aspect-ratio: 5 / 3;
    }
}
.glide__slide {
    position: relative;
}

.glide-text {
    position: absolute;
    top: calc(75% - 80px);
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 1.8rem;
    font-weight: 500;
    color: white;
}
.glide-link {
    position: absolute;
    top: 75%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 16px 36px 12px 36px;
    line-height: 1;
    border-radius: 12px;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 1.8rem;
    font-weight: 500;
    background-color: white;
    color:black;
    transition: background-color 0.3s, color 0.3s;
}
.glide-link:hover {
    background-color: rgba(0,0,0,0.8);
    color: var(--color-hover);
}

@media(max-width: 800px) {
    .glide-link {
        font-size: 1rem;
        padding: 8px 16px 8px 16px
    }
    .category-title {
        font-size: 1rem;
    }
}


.featured-categories-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    gap: 30px;
    max-width: 1680px;
    margin: 48px auto;
}

.featured-category {
    border-radius: 4px;
    overflow: hidden;
    background-color: black;
    position: relative;
    text-align: center;
    max-width: 220px;
    width: 100%;
    margin: 0 auto;
}

.featured-category:hover .featured-category-image {
    transform: scale(1.1);
}

.featured-category a {
    text-decoration: none;
    display: block;
}

.featured-category-image {
    aspect-ratio: 1/1;
    width: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: white;
    transition: transform 0.3s ease;
}

.featured-category-title {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    padding: 20px 15px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    overflow: hidden;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    text-align: left;
    transition: all 0.3s ease;
}
.featured-category:hover .featured-category-title {
    padding-left: 40px;
    padding-right: 30px;
    background-color: rgba(0,0,0,0.2);
}

/* Mobile responsiveness */
@media (max-width: 800px) {
    .featured-categories-grid {
        grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
        gap: 15px;
        margin: 30px auto;
    }
}